#delimit;
tempname hh;
file open `hh' using "$docPath\tRobust.tex", write replace;

* lines 1 and 2;
*file write `hh' _n;
sca ptest = 2*(1-norm(abs(m1chi)/m1seChi));
do MakeTestStringJ;
file write `hh' " M1 & "  %5.3f (m1chi) (teststr) "  & ";
sca ptest = 2*(1-norm(abs(m1bSR)/m1seBsr));
file write `hh' %5.3f (m1bSR) (teststr) "  & & & ";
file write `hh' %5.3f (m1bLR) "  &  & & & " %5.3f (m1rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m1seChi) ")  & (" %5.3f (m1seBsr) ") & & & & & & & "  $eolString _n;

* lines 3 and 4;
sca ptest = 2*(1-norm(abs(m2chi)/m2seChi));
do MakeTestStringJ;
file write `hh' " M2  & " %5.3f (m2chi) (teststr) " & & " ;
sca ptest = 2*(1-norm(abs(m2bfSR)/m2seBfSR));
do MakeTestStringJ;
file write `hh' %5.3f (m2bfSR) (teststr) "  &";
sca ptest = 2*(1-norm(abs(m2bhSR)/m2seBhSR));
do MakeTestStringJ;
file write `hh' %5.3f (m2bhSR) (teststr) " & & ";
file write `hh' %5.3f (m2bfLR) "  & "  %5.3f (m2bhLR) "  & " %5.3f (m2pval) "  & " %5.3f (m2rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m2seChi) ")  & & (" %5.3f (m2seBfSR) ") & (" %5.3f (m2seBhSR) ") & & & & &  "  $eolString "\midrule " _n;

* lines 5 and 6;
file write `hh' "  \multicolumn{10}{l}{Instruments as of Time \$t-3\$ and \$t-4$} "  $eolString _n;
sca ptest = 2*(1-norm(abs(m3chi)/m3seChi));
do MakeTestStringJ;
file write `hh' " M3 & "  %5.3f (m3chi) (teststr) "  & ";
sca ptest = 2*(1-norm(abs(m3bSR)/m3seBsr));
file write `hh' %5.3f (m3bSR) (teststr) "  & & & ";
file write `hh' %5.3f (m3bLR) "  &  & & & " %5.3f (m3rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m3seChi) ")  & (" %5.3f (m3seBsr) ") & & & & & & & "  $eolString _n;

* lines 7 and 8;
sca ptest = 2*(1-norm(abs(m4chi)/m4seChi));
do MakeTestStringJ;
file write `hh' " M4  & " %5.3f (m4chi) (teststr) " & & " ;
sca ptest = 2*(1-norm(abs(m4bfSR)/m4seBfSR));
do MakeTestStringJ;
file write `hh' %5.3f (m4bfSR) (teststr) "  &";
sca ptest = 2*(1-norm(abs(m4bhSR)/m4seBhSR));
do MakeTestStringJ;
file write `hh' %5.3f (m4bhSR) (teststr) " & & ";
file write `hh' %5.3f (m4bfLR) "  & "  %5.3f (m4bhLR) "  & " %5.3f (m4pval) "  & " %5.3f (m4rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m4seChi) ")  & & (" %5.3f (m4seBfSR) ") & (" %5.3f (m4seBhSR) ") & & & & &  "  $eolString  "\midrule "  _n;

* lines 9 and 10;
file write `hh' "  \multicolumn{10}{l}{Iterative Method} "  $eolString _n;
sca ptest = 2*(1-norm(abs(m5chi)/m5seChi));
do MakeTestStringJ;
file write `hh' " M5 & "  %5.3f (m5chi) (teststr) "  & ";
sca ptest = 2*(1-norm(abs(m5bSR)/m5seBsr));
file write `hh' %5.3f (m5bSR) (teststr) "  & & & ";
file write `hh' %5.3f (m5bLR) "  &  & & & " %5.3f (m5rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m5seChi) ")  & (" %5.3f (m5seBsr) ") & & & & & & & "  $eolString _n;

* lines 11 and 12;
sca ptest = 2*(1-norm(abs(m6chi)/m6seChi));
do MakeTestStringJ;
file write `hh' " M6  & " %5.3f (m6chi) (teststr) " & & " ;
sca ptest = 2*(1-norm(abs(m6bfSR)/m6seBfSR));
do MakeTestStringJ;
file write `hh' %5.3f (m6bfSR) (teststr) "  &";
sca ptest = 2*(1-norm(abs(m6bhSR)/m6seBhSR));
do MakeTestStringJ;
file write `hh' %5.3f (m6bhSR) (teststr) " & & ";
file write `hh' %5.3f (m6bfLR) "  & "  %5.3f (m6bhLR) "  & " %5.3f (m6pval) "  & " %5.3f (m6rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m6seChi) ")  & & (" %5.3f (m6seBfSR) ") & (" %5.3f (m6seBhSR) ") & & & & &  "  $eolString "\midrule " _n;

* lines 13 and 14;
file write `hh' " \multicolumn{10}{l}{Baseline} "  $eolString _n;
sca ptest = 2*(1-norm(abs(m7chi)/m7seChi));
do MakeTestStringJ;
file write `hh' " M7 & "  %5.3f (m7chi) (teststr) "  & ";
sca ptest = 2*(1-norm(abs(m7bSR)/m7seBsr));
file write `hh' %5.3f (m7bSR) (teststr) "  & & & ";
file write `hh' %5.3f (m7bLR) "  &  & & & " %5.3f (m7rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m7seChi) ")  & (" %5.3f (m7seBsr) ") & & & & & & & "  $eolString _n;

* lines 15 and 16;
sca ptest = 2*(1-norm(abs(m8chi)/m8seChi));
do MakeTestStringJ;
file write `hh' " M8  & " %5.3f (m8chi) (teststr) " & & " ;
sca ptest = 2*(1-norm(abs(m8bfSR)/m8seBfSR));
do MakeTestStringJ;
file write `hh' %5.3f (m8bfSR) (teststr) "  &";
sca ptest = 2*(1-norm(abs(m8bhSR)/m8seBhSR));
do MakeTestStringJ;
file write `hh' %5.3f (m8bhSR) (teststr) " & & ";
file write `hh' %5.3f (m8bfLR) "  & "  %5.3f (m8bhLR) "  & " %5.3f (m8pval) "  & " %5.3f (m8rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m8seChi) ")  & & (" %5.3f (m8seBfSR) ") & (" %5.3f (m8seBhSR) ") & & & & &  "  $eolString "\midrule " _n;

* lines 17 and 18;
file write `hh' "  \multicolumn{10}{l}{Real Estate--Non-Real Estate Split} "  $eolString _n;
sca ptest = 2*(1-norm(abs(m9chi)/m9seChi));
do MakeTestStringJ;
file write `hh' " M9  & " %5.3f (m9chi) (teststr) " & & " ;
sca ptest = 2*(1-norm(abs(m9bfSR)/m9seBfSR));
do MakeTestStringJ;
file write `hh' %5.3f (m9bfSR) (teststr) "  &";
sca ptest = 2*(1-norm(abs(m9bhSR)/m9seBhSR));
do MakeTestStringJ;
file write `hh' %5.3f (m9bhSR) (teststr) " & & ";
file write `hh' %5.3f (m9bfLR) "  & "  %5.3f (m9bhLR) "  & " %5.3f (m9pval) "  & " %5.3f (m9rbar)  $eolString _n;

file write `hh' " & (" %5.3f (m9seChi) ")  & & (" %5.3f (m9seBfSR) ") & (" %5.3f (m9seBhSR) ") & & & & &  "  $eolString  _n;


file close `hh';













